package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店盘点任务统计信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnStoreinventorystatsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnStoreinventorystats(PageData pd)throws Exception {
        return daoSupport.update("SKcKnStoreinventorystatsMapper.addSKcKnStoreinventorystats", pd);
    }

    public List<PageData> findSKcKnStoreinventorystatsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnStoreinventorystatsMapper.selectSKcKnStoreinventorystatsList", pd);
    }

    public Integer SKcKnStoreinventorystatsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnStoreinventorystatsMapper.SKcKnStoreinventorystatsRemove", pd);
    }


    public Integer updateSKcKnStoreinventorystats(PageData pd)throws Exception {
        return daoSupport.update("SKcKnStoreinventorystatsMapper.updateSKcKnStoreinventorystats", pd);
    }

}
